Get ERC-1155 balances by address
curl --request GET \
--url https://data-api.b3.fun/insights/v1/tokens/erc1155/{ownerAddress}import requests
url = "https://data-api.b3.fun/insights/v1/tokens/erc1155/{ownerAddress}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data-api.b3.fun/insights/v1/tokens/erc1155/{ownerAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"chain_id": 1,
"token_address": "vitalik.eth",
"token_id": "<string>",
"balance": "<string>",
"name": "<string>",
"description": "<string>",
"image_url": "<string>",
"video_url": "<string>",
"animation_url": "<string>",
"background_color": "<string>",
"external_url": "<string>",
"status": "<string>",
"metadata_url": "<string>",
"owner_addresses": [
"<string>"
],
"extra_metadata": {
"attributes": [
{
"trait_type": "<string>",
"value": "<string>",
"display_type": "<string>"
}
],
"properties": {}
},
"collection": {
"name": "<string>",
"description": "<string>",
"image_url": "<string>",
"banner_image_url": "<string>",
"featured_image_url": "<string>",
"external_link": "<string>"
},
"contract": {
"chain_id": 1,
"address": "vitalik.eth",
"name": "<string>",
"symbol": "<string>",
"type": "erc721"
}
}
]
}insights/tokens
Get ERC-1155 balances by address
deprecated
Get ERC-1155 (Multi Token) balances for a given address [BEING DEPRECATED IN FAVOR OF /nfts/balance]
GET
/
insights
/
v1
/
tokens
/
erc1155
/
{ownerAddress}
Get ERC-1155 balances by address
Path Parameters
Example:
"vitalik.eth"
Query Parameters
Use chain_id instead
Example:
[20, 56, 1]
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., ?chain_id=20&chain_id=56. Optional, because a single chain can as well be specified as a subdomain
Example:
[20, 56, 1]
The number of items to return
Required range:
0 < x <= 1000Example:
20
Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.
Required range:
x >= 0Example:
0
Whether to include metadata for the tokens
Available options:
true, false Example:
"false"
Whether to resolve metadata IPFS or Arweave links
Available options:
true, false Example:
"false"
Response
Successful response
Show child attributes
Show child attributes
HypeDuel